textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/01papito/wall_tint
{
	surfaceparm nodamage
	surfaceparm nolightmap
	q3map_surfacelight 500
	q3map_lightSubdivide 1024
	{
		map textures/01papito/crystal1.jpg
	}
	{
		map textures/01papito/pink_tint.tga
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/01papito/icy
{
	qer_editorimage textures/01papito/tint.jpg
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	q3map_surfacelight 1000
	q3map_lightSubdivide 1024
	{
		map textures/01papito/crystal1.jpg
	}
	{
		map textures/01papito/tint.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/01papito/uber_sky2
{
	skyparms - 512 -
	q3map_lightImage textures/01papito/sky2a
	q3map_sunExt 1 1 1 200 0 90
	q3map_surfacelight 500
	q3map_lightsubdivide 256
	q3map_globaltexture
	q3map_lightmapFilterRadius 0 16
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps
	qer_editorimage textures/01papito/sky2a
	{
		map textures/01papito/sky2a
		tcMod scale 8 8
		tcMod scroll .01 .005
		depthWrite
	}
	{
		map textures/01papito/sky2b
		blendFunc GL_ONE GL_ONE
		tcMod scale 4 4
		tcMod scroll 0.03 0.05
	}
}

textures/01papito/sky
{
	qer_editorimage textures/01papito/sky_clouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 500
	surfaceparm sky
	q3map_sun 1 1 1 1000 0 90
	skyparms full 512 -
	{
		map textures/01papito/sky_clouds.tga
		tcMod scroll 0.05 0.05
		tcMod scale 3 2
	}
	{
		map textures/01papito/sky_clouds.tga
		blendFunc add
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
	}
}

textures/01papito/water
{
	q3map_globaltexture
	qer_editorimage textures/01papito/water.jpg
	qer_trans 0.5
	surfaceparm water
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	q3map_surfacelight 500
	q3map_lightRGB 1 1 1
	{
		map textures/01papito/water.jpg
		blendFunc GL_DST_COLOR GL_one
		rgbGen identity
		tcMod scroll 0.2 0.2
	}
	{
		map textures/01papito/water.jpg
		blendFunc GL_DST_COLOR GL_one
		rgbGen identity
		tcMod scroll -0.2 0.02
	}
}

textures/01papito/green_wall_tint
{
	qer_editorimage textures/01papito/crystal2.jpg
	surfaceparm nodamage
	surfaceparm nolightmap
	q3map_surfacelight 1000
	q3map_lightSubdivide 1024
	{
		map textures/01papito/crystal2.jpg
	}
	{
		map textures/01papito/green_tint.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/01papito/green_icy
{
	qer_editorimage textures/01papito/green_tint.jpg
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	q3map_surfacelight 1000
	q3map_lightSubdivide 1024
	{
		map textures/01papito/crystal2.jpg
	}
	{
		map textures/01papito/green_tint.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/01papito/hardway_icy
{
	qer_editorimage textures/01papito/hardway_tint.jpg
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	q3map_surfacelight 1000
	q3map_lightSubdivide 1024
	{
		map textures/01papito/crystal3.jpg
	}
	{
		map textures/01papito/hardway_tint.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/01papito/hardway_wall_tint
{
	qer_editorimage textures/01papito/crystal3.jpg
	surfaceparm nodamage
	surfaceparm nolightmap
	q3map_surfacelight 1000
	q3map_lightSubdivide 1024
	{
		map textures/01papito/crystal3.jpg
	}
	{
		map textures/01papito/hardway_tint.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/01papito/green_water
{
	q3map_globaltexture
	qer_editorimage textures/01papito/green_water.jpg
	qer_trans 0.5
	surfaceparm water
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	q3map_surfacelight 500
	q3map_lightRGB 1 1 1
	{
		map textures/01papito/green_water.jpg
		blendFunc GL_DST_COLOR GL_one
		rgbGen identity
		tcMod scroll 0.2 0.2
	}
	{
		map textures/01papito/green_water.jpg
		blendFunc GL_DST_COLOR GL_one
		rgbGen identity
		tcMod scroll -0.2 0.02
	}
}

textures/common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/01papito/hardway_water
{
	q3map_globaltexture
	qer_editorimage textures/01papito/hardway_water.jpg
	qer_trans 0.5
	surfaceparm water
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	q3map_surfacelight 500
	q3map_lightRGB 1 1 1
	{
		map textures/01papito/hardway_water.jpg
		blendFunc GL_DST_COLOR GL_one
		rgbGen identity
		tcMod scroll 0.2 0.2
	}
	{
		map textures/01papito/hardway_water.jpg
		blendFunc GL_DST_COLOR GL_one
		rgbGen identity
		tcMod scroll -0.2 0.02
	}
}

textures/common/watercaulk
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}